## org.eclipse.jet.core.parser.ast
Class BodyElement

    java.lang.Object
      org.eclipse.jet.core.parser.ast.JETASTElement
          org.eclipse.jet.core.parser.ast.BodyElement

Direct Known Subclasses:
  Comment, IncludedContent, JavaElement, JETDirective, TextElement, XMLBodyElementEnd, XMLElement

    public abstract class BodyElement

extends JETASTElement

Abstract element representing elements in the body of a compilation unit or another tag.

This class is not intended to be subclassed by clients

Constructor Summary
`protected` `BodyElement(JETAST ast, int line, int column, int start, int end)` initialize a BodyElement

Method Summary

Methods inherited from class org.eclipse.jet.core.parser.ast.JETASTElement
`accept, accept0, getAst, getColumn, getEnd, getLine, getNextElement, getParent, getPrevElement, getStart, removeLineWhenOtherwiseEmpty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BodyElement

    protected BodyElement(JETAST ast,
                          int line,
                          int column,
                          int start,
                          int end)

  initialize a BodyElement

  Parameters:
    `ast` - the parent AST
    `line` - the start line of the element
    `column` - the start column
    `start` - the zero-based offset of the first char of the element from the start of the document
    `end` - the zero-based offset of the next char after the element from the start of the document

Copyright 2006 IBM Corporation and others. All Rights Reserved.